import { Component } from '@angular/core';
import { IConsulObject } from 'src/app/Models/JsonObject';
import { HttpClient } from '@angular/common/http'
import * as DummyResponse from '../../Models/DummyResponse';

@Component({
  selector: 'app-main-page',
  templateUrl: './main-page.component.html',
  styleUrls: ['./main-page.component.scss']
})
export class MainPageComponent {
  constructor(private http: HttpClient) {}


response: any = JSON.parse(DummyResponse.SampleResponse);
keys: string[] = [];
responseArray: IConsulObject[] = [];

list(){
  this.responseArray = []
this.getList().subscribe(response => {
    this.response = response
    this.keys= Object.keys(this.response); 
    this.keys.forEach(element => {
      var toPush = this.response[element];
      this.responseArray.push(toPush);
    });
}) 
}



getList(){
  var response =  this.http.get<any>("https://consul.vdk2ch.ru/v1/agent/services")
  console.log(response)
  return response;
}


ngOnInit(): void {
}
}
